Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PostValidateEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.ComponentSystemEvent
                  javax.faces.event.PostValidateEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PostValidateEvent

extends ComponentSystemEvent

When an instance of this event is passed to `SystemEventListener.processEvent(javax.faces.event.SystemEvent)` or `ComponentSystemEventListener.processEvent(javax.faces.event.ComponentSystemEvent)`, the listener implementation may assume that the `source` of this event instance is the `UIComponent` instance that is that has just been validated.

Components with children must publish this event after processing their child nodes in `UIComponent.processValidators(javax.faces.context.FacesContext)`. This is especially important for iterating components such as `UIData`, and form components, such as `UIForm`.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PostValidateEvent(UIComponent component)`

Method Summary

Methods inherited from class javax.faces.event.ComponentSystemEvent
`getComponent`

Methods inherited from class javax.faces.event.SystemEvent
`isAppropriateListener, processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostValidateEvent

    public PostValidateEvent(UIComponent component)

  Parameters:
    `component` - the `UIComponent` that is about to be validated.
  Throws:
    ``IllegalArgumentException`` - if the argument is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.